Home » Server Options » Data Guard » DataGuard HELP!
DataGuard HELP! [message #221632] Tue, 27 February 2007 17:39 Go to next message
jarroyo
Messages: 5
Registered: February 2007
Junior Member
Hi:
I created a physical Standby Database using Oracle DataGuard Concepts and Administration. The primary database is 10.1.0.2. The standby database is 10.2.0.2. I managed to configure successfully the primary database and standby database. But when after issuing a switch log command I get the following error on the alert log on the primary:

Tue Feb 27 17:34:05 2007
PROD; ARC8: Completed archiving log 2 thread 1 sequence 6457
ARCH: Connecting to console port...
Tue Feb 27 17:36:33 2007
Errors in file /u01/app/oracle/OraHome_1/rdbms/log/prod_ora_24020.trc:
ORA-16039: RFS request version mismatch
Tue Feb 27 17:36:33 2007
PING[ARC1]: Heartbeat failed to connect to standby 'STND'. Error is 16039.
Tue Feb 27 17:39:38 2007
Errors in file /u01/app/oracle/OraHome_1/rdbms/log/prod_ora_24020.trc:
ORA-16039: RFS request version mismatch
PING[ARC1]: Heartbeat failed to connect to standby 'STND'. Error is 16039.

I get the following error on the alert log on the standby:
Completed: alter database mount standby database
Tue Feb 27 17:51:58 2007
RFS: 'Attach' request version mismatch
RFS: 'Attach' request version mismatch
RFS: 'Attach' request version mismatch

I am sure I configured the compatible parameter on both initialization parameters. What am I missing? I checked on metalink and found nothing about the error. I checked asktom and didn't find anything. I checked this site and someone had the same problem and the only answer he had is that Oracle DataGuard must run on the same version. When checking Oracle DataGuard Documentation it doesn't mention anything about running the same Database version.

Thanks,
Julio
Re: DataGuard HELP! [message #221633 is a reply to message #221632] Tue, 27 February 2007 18:05 Go to previous message
ebrian
Messages: 2794
Registered: April 2006
Senior Member
In addition to the same COMPATIBLE value, the docs indicate that the same version must be installed (Oracle software requirements).
Previous Topic: Oracle 9i Backup/Restore with Data Guard Issues
Next Topic: Dataguard - Primary died automatically and redo log out of sequece
Goto Forum:
  


Current Time: Fri Dec 02 12:21:34 CST 2016

Total time taken to generate the page: 0.12526 seconds